# MovieTrackingStabilization(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTrackingStabilization`(bpy_struct)

  Match-moving stabilization data for tracking

  `active_track_index`

    Index of active track in stabilization tracks list

    Type: | int in [-inf, inf], default 0

  `filter_type`

    Method to use to filter stabilization

    Type: | enum in [‘NEAREST’, ‘BILINEAR’, ‘BICUBIC’], default ‘NEAREST’

  `influence_location`

    Influence of stabilization algorithm on footage location

    Type: | float in [0, 1], default 0.0

  `influence_rotation`

    Influence of stabilization algorithm on footage rotation

    Type: | float in [0, 1], default 0.0

  `influence_scale`

    Influence of stabilization algorithm on footage scale

    Type: | float in [0, 1], default 0.0

  `rotation_track`

    Track used to compensate rotation

    Type: | `MovieTrackingTrack`

  `scale_max`

    Limit the amount of automatic scaling

    Type: | float in [0, 10], default 0.0

  `tracks`

    Collection of tracks used for stabilization

    Type: | `bpy_prop_collection` of `MovieTrackingTrack`, (readonly)

  `use_2d_stabilization`

    Use 2D stabilization for footage

    Type: | boolean, default False

  `use_autoscale`

    Automatically scale footage to cover unfilled areas when stabilizing

    Type: | boolean, default False

  `use_stabilize_rotation`

    Stabilize horizon line on the shot

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieTracking.stabilization` |